# Yatta! API

# Class: XmlType

Defined in: | lib/Types/XmlTypes.coffee
Inherits: | types.Insert

## Overview

Manages XML types Not supported:

- Attribute nodes
- Real replace of child elements (to much overhead). Currently, the new element is inserted after the 'replaced' element, and then it is deleted.
- Namespaces (*NS)
- Browser specific methods (webkit-* operations)

## Variables Summary

type =

      "XmlType"

  Identifies this class. Use it in order to check whether this is an xml-type or something else.

## Instance Method Summary

- # (void) applyDelete()
- # (void) cleanup()
- # (void) setXmlProxy()
- # (void) val(enforce = false)
- # (void) execute()
- # (XmlType) getParent() Get the parent of this JsonType.
- # (void) _encode() Private Convert all relevant information of this operation to the json-format.

## Constructor Details

# (void) constructor(uid, tagname, attributes, elements, xml)

## Instance Method Details

# (void) applyDelete()

# (void) cleanup()

# (void) setXmlProxy()

# (void) val(enforce = false)

# (void) execute()

# (XmlType) getParent()

Get the parent of this JsonType.

### Returns:

- `XmlType`

# (void) _encode() Private

Convert all relevant information of this operation to the json-format. This result can be send to other clients.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input